<?php 
namespace App\Controllers;

class PageController extends BaseController{

   	public function index(){
         
      	return view('index');
   	}

      // Read files
      public function readFiles(){
         $file_list = array();
         
         $validextension_arr = array('jpeg','jpg','png','pdf');

         // Target directory
         $target_dir = "uploads/";
         $dir = $target_dir;

         if (is_dir($dir)){

            if ($dh = opendir($dir)){

               // Read files
               while (($file = readdir($dh)) !== false){
                  
                  if($file != '' && $file != '.' && $file != '..'){
                     
                     // File path
                     $file_path = $target_dir.$file;

                     // Check its not folder
                     if(!is_dir($file_path)){

                        $size = filesize($file_path);
                        $extension = strtolower(pathinfo($file, PATHINFO_EXTENSION));
                        
                        if (in_array($extension,$validextension_arr)) {
                           $file_list[] = array('name'=>$file,'size'=>$size,'path'=>$file_path);
                        }
                     }
                  }

               }
               closedir($dh);
            }
         }

         return $this->response->setJSON($file_list);
      }

      // Upload file
   	public function fileUpload(){

      	$data = array();

      	// Read new token and assign to $data['token']
      	$data['token'] = csrf_hash();

      	## Validation
      	$validation = \Config\Services::validation();

      	$input = $validation->setRules([
         	'file' => 'uploaded[file]|max_size[file,2048]|ext_in[file,jpeg,jpg,png,pdf],'
      	]);

      	if ($validation->withRequest($this->request)->run() == FALSE){

         	$data['success'] = 0;
         	$data['error'] = $validation->getError('file');// Error response

      	}else{

         	if($file = $this->request->getFile('file')) {
            	if ($file->isValid() && ! $file->hasMoved()) {
               		// Get file name and extension
               		$name = $file->getName();
               		$ext = $file->getClientExtension();

               		// Get random file name
               		$newName = $file->getRandomName();

               		// Store file in public/uploads/ folder
               		$file->move('../public/uploads', $newName);

               		// Response
               		$data['success'] = 1;
               		$data['message'] = 'Uploaded Successfully!';
               		
            	}else{
               		// Response
               		$data['success'] = 2;
               		$data['message'] = 'File not uploaded.'; 
            	}
         	}else{
            	// Response
            	$data['success'] = 2;
            	$data['message'] = 'File not uploaded.';
         	}
      	}
      	return $this->response->setJSON($data);

   }

}